import request from "@/scripts/httpRequest"
import qs from "qs"
/**
 * 根据事件推送主题的一级和二级选项获取最后下拉菜单列表
 */
export const findByEventTopic = (query: any) => {
  return request({
    url: "/data/api-v/eventPush/findByEventTopic",
    method: "get",
    params: query
  })
}

/**
 * 改变enable状态
 */
export const changeStatus = (query: any) => {
  return request({
    url: "/data/api-v/eventPush/changeStatus",
    method: "post",
    data: query
  })
}

/**
 * 根据事件id获取事件详情
 */
export const getById = (query: any) => {
  return request({
    url: "/data/api-v/eventPush/getById",
    method: "get",
    params: query
  })
}

/**
 * 根据id删除
 */
export const deleteByid = (query: any) => {
  return request({
    url: "/data/api-v/eventPush/delete",
    method: "post",
    data: qs.stringify(query)
  })
}

//获取事件声音列表
export const getSoundList = () => {
  return request({
    url: "/saas/api-s/voice/findAll",
    method: "get"
  })
}

export const uploadSound = (data: any) => {
  return request({
    url: "/data/api-v/voice/upload",
    method: "post",
    data
  })
}

//获取所有的推送字段配置
export const getPushSet = () => {
  return request({
    url: "/data/api-v/eventPush/getPushSet",
    method: "get"
  })
}

export const deleteSound = (q: any) => {
  return request({
    url: "/data/api-v/voice/del",
    method: "get",
    params: q
  })
}
